Skip to main content
`Ctrl`+`K`

# numpy.matrix.argmin

method

matrix.argmin(axis=None, out=None)

  Indexes of the minimum values along an axis.

  Return the indexes of the first occurrences of the minimum values along the specified axis. If axis is None, the index is for the flattened matrix.

  Parameters:
    See `numpy.argmin` for complete descriptions.

  See also

  `numpy.argmin`

  Notes

  This is the same as `ndarray.argmin`, but returns a `matrix` object where `ndarray.argmin` would return an `ndarray`.

  Examples

      >>> x = -np.matrix(np.arange(12).reshape((3,4))); x
      matrix([[  0,  -1,  -2,  -3],
              [ -4,  -5,  -6,  -7],
              [ -8,  -9, -10, -11]])
      >>> x.argmin()
      11
      >>> x.argmin(0)
      matrix([[2, 2, 2, 2]])
      >>> x.argmin(1)
      matrix([[3],
              [3],
              [3]])